Public Attributes | List of all members
iso_big_info_report_evt_t Struct Reference
BLE » Core Isochronous Channels | BLE » Logical Link Control and Adaptation Protocol (L2CAP) » Structures

The parameter for big info report event. More...

`#include <ble_iso.h>`

## Public Attributes
uint8_t | per_sync_idx
uint8_t | num_bis
uint8_t | nse
uint16_t | iso_interval
uint8_t | bn
uint8_t | pto
uint8_t | irc
uint16_t | max_pdu
uint32_t | sdu_interval
uint16_t | max_sdu
uint8_t | phy
uint8_t | framing
uint8_t | encryption

## Detailed Description

The parameter for big info report event.

Definition at line 535 of file ble_iso.h.

## Member Data Documentation

## ◆ bn

uint8_t iso_big_info_report_evt_t::bn

Value of the BN (Range 0x00-0x07).

Definition at line 541 of file ble_iso.h.

## ◆ encryption

uint8_t iso_big_info_report_evt_t::encryption

Value of the Encryption (0x00: Unencrypted, 0x01: Encrypted, All other values: RFU)).

Definition at line 549 of file ble_iso.h.

## ◆ framing

uint8_t iso_big_info_report_evt_t::framing

Value of the Framing (0x00: Unframed, 0x01: Framed, All other values: RFU).

Definition at line 548 of file ble_iso.h.

## ◆ irc

uint8_t iso_big_info_report_evt_t::irc

Value of the IRC (Range 0x01-0x0F).

Definition at line 543 of file ble_iso.h.

## ◆ iso_interval

uint16_t iso_big_info_report_evt_t::iso_interval

Value of the ISO interval.

Definition at line 540 of file ble_iso.h.

## ◆ max_pdu

uint16_t iso_big_info_report_evt_t::max_pdu

Value of the Max_PDU (Range 0x0000-0x00FB).

Definition at line 544 of file ble_iso.h.

## ◆ max_sdu

uint16_t iso_big_info_report_evt_t::max_sdu

Value of the Max_SDU (Range 0x0000-0x0FFF).

Definition at line 546 of file ble_iso.h.

## ◆ nse

uint8_t iso_big_info_report_evt_t::nse

Value of the NSE (Range 0x01-0x1F).

Definition at line 539 of file ble_iso.h.

## ◆ num_bis

uint8_t iso_big_info_report_evt_t::num_bis

Number of BIS (Range 0x01-0x1F).

Definition at line 538 of file ble_iso.h.

## ◆ per_sync_idx

uint8_t iso_big_info_report_evt_t::per_sync_idx

Per sync index, (Range: 0x00 to 0x05).

Definition at line 537 of file ble_iso.h.

## ◆ phy

uint8_t iso_big_info_report_evt_t::phy

Value of the PHY (0x01: 1M, 0x02: 2M, 0x03: Coded, All other values: RFU).

Definition at line 547 of file ble_iso.h.

## ◆ pto

uint8_t iso_big_info_report_evt_t::pto

Value of the PTO (Range 0x00-0x0F).

Definition at line 542 of file ble_iso.h.

## ◆ sdu_interval

uint32_t iso_big_info_report_evt_t::sdu_interval

Value of the SDU_Interval (Range Range 0x0000FF-0x0FFFFF).

Definition at line 545 of file ble_iso.h.

The documentation for this struct was generated from the following file:

- ble_iso.h